package data;

import java.util.ArrayList;

public class Movie {
	private int id;
	private String title;
	private String plot;
	private String genre;
	//date released
	private int votes;
	private float rating;
	private ArrayList<Actor> actors = new ArrayList<>();
	private ArrayList<Director> directors = new ArrayList<>();
	
	public void addActor(Actor a) {
		actors.add(a);
	}
	
	public ArrayList<Actor> getActors(){
		return actors;
	}
	public void addDirector(Director d) {
		directors.add(d);
	}
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getPlot() {
		return plot;
	}
	public void setPlot(String plot) {
		this.plot = plot;
	}
	public String getGenre() {
		return genre;
	}
	public void setGenre(String genre) {
		this.genre = genre;
	}
	public float getRating() {
		return rating;
	}
	public void setRating(float rating) {
		this.rating = rating;
	}
	
	public String toString() {
		return "id: "+id+" title: "+title+" plot: "+plot;
	}
	public int getVotes() {
		return votes;
	}
	public void setVotes(int votes) {
		this.votes = votes;
	}

	public ArrayList<Director> getDirectors() {
		return directors;
	}
	
	
}
